;; $Id: dbinline.dsl 0.91 1997/08/28 14:09:41 nwalsh Exp $

;; ============================== INLINES ===============================

(element ACCEL ($charseq$))
(element ACTION ($charseq$))
(element APPLICATION ($charseq$))
(element CLASSNAME ($charseq$))
(element COMMAND ($bold-seq$))
(element COMPUTEROUTPUT ($mono-seq$))
(element DATABASE ($charseq$))
(element EMAIL ($charseq$))
(element ERRORNAME ($charseq$))
(element ERRORTYPE ($charseq$))
(element FILENAME ($charseq$))
(element FUNCTION ($bold-seq$))
;; this occurrance of CLASSNAME is unnecessary because it is already
;; defined above.  Now I need to settle whether it should be bold or
;; normal, since the original was normal but this addition by MarkE
;; was bold.
;; (element CLASSNAME ($bold-seq$))
(element GUIBUTTON ($charseq$))
(element GUIICON ($charseq$))
(element GUILABEL ($charseq$))
(element GUIMENU ($charseq$))
(element GUIMENUITEM ($charseq$))
(element GUISUBMENU ($charseq$))
(element HARDWARE ($charseq$))
(element INTERFACE ($charseq$))
(element INTERFACEDEFINITION ($charseq$))
(element KEYCAP ($bold-seq$))
(element KEYCODE ($charseq$))
(element KEYCOMBO ($charseq$))
(element KEYSYM ($charseq$))
(element LITERAL ($mono-seq$))
(element MEDIALABEL ($italic-seq$))
(element MENUCHOICE ($charseq$))
(element SHORTCUT ($bold-seq$))
(element MOUSEBUTTON ($charseq$))
(element OPTION ($charseq$))
(element OPTIONAL ($charseq$))
(element PARAMETER ($italic-mono-seq$))
(element PROPERTY ($charseq$))
(element PROMPT ($mono-seq$))
(element REPLACEABLE ($italic-mono-seq$))
(element RETURNVALUE ($charseq$))
(element STRUCTFIELD ($italic-mono-seq$))
(element STRUCTNAME ($charseq$))
(element SYMBOL ($charseq$))
(element SYSTEMITEM ($charseq$))
(element TOKEN ($charseq$))
(element TYPE ($charseq$))
(element USERINPUT ($bold-mono-seq$))
(element ABBREV ($charseq$))
(element ACRONYM ($charseq$))
(element CITATION ($charseq$))
(element CITEREFENTRY ($charseq$))
(element CITETITLE ($italic-seq$))
(element CO ($charseq$))
(element EMPHASIS ($bold-seq$))
(element FIRSTTERM ($bold-seq$))
(element FOREIGNPHRASE ($italic-seq$))
(element MARKUP ($charseq$))
(element PHRASE ($charseq$))

(element QUOTE
  (make sequence
    (literal %gentext-start-quote%)
    (process-children-trim)
    (literal %gentext-end-quote%)))

(element SGMLTAG ($charseq$))
(element TRADEMARK ($charseq$))
(element WORDASWORD ($italic-seq$))

(element LINEANNOTATION
  (make sequence
	use: para-style
	(process-children-trim)))

(define ($ss-seq$ plus-or-minus)
  (make sequence
	font-size:
	  (* (inherited-font-size) %ss-size-factor%)
	position-point-shift:
	  (plus-or-minus (* (inherited-font-size) %ss-shift-factor%))
	(process-children-trim)))

(element SUPERSCRIPT ($ss-seq$ +))
(element SUBSCRIPT ($ss-seq$ -))

(element COMMENT (empty-sosofo))

