;; $Id: dbmsgset.dsl 0.84 1997/06/26 12:04:51 nwalsh Exp $

;; ======================== ERROR MESSAGES (ETC.) =======================

(element MSGSET (process-children))

(element MSGENTRY ($block-container$))

(element MSG
  (make display-group
	font-weight: 'bold
	font-family-name: %mono-font-family%
	(process-children)))

(element MSGMAIN (process-children))

(element MSGSUB
  (make display-group
	start-indent: (+ (inherited-start-indent) (ILSTEP))
	(process-children)))

(element MSGREL
  (make display-group
	font-weight: 'bold
	(process-children)))

(element MSGTEXT (process-children))

(element MSGINFO ($indent-para-container$))

(define ($genhead-para$ headtext)
  (make paragraph
	space-before: %para-sep%
	space-after: %para-sep%
	(make sequence
	      font-weight: 'bold
	      (literal
	        (string-append headtext ": ")))
	(process-children)))

(element MSGLEVEL ($genhead-para$ "Level"))
(element MSGORIG ($genhead-para$ "Origin"))
(element MSGAUD ($genhead-para$ "Audience"))

(element MSGEXPLAN ($indent-para-container$))
(element (MSGEXPLAN TITLE) ($runinhead$))
(element (MSGEXPLAN PARA) (make sequence (process-children)))

