;; $Id: dbsynop.dsl 0.87 1997/07/14 03:57:05 nwalsh Exp $

;; ========================= SYNTAX DEFINITIONS =========================
;; *** TO DO: this is just a placeholder; need examples to define styles

(element SYNOPSIS ($verbatim-display$))
(element CMDSYNOPSIS ($paragraph$))

;; The following definitions match those given in the reference
;; documentation for DocBook V3.0
(define	%arg-choice-opt-open-str% "[")
(define	%arg-choice-opt-close-str% "]")
(define	%arg-choice-req-open-str% "{")
(define	%arg-choice-req-close-str% "}")
(define	%arg-choice-plain-open-str% " ")
(define	%arg-choice-plain-close-str% " ")
(define	%arg-choice-def-open-str% "[")
(define	%arg-choice-def-close-str% "]")
(define	%arg-rep-repeat-str% "...")
(define	%arg-rep-norepeat-str% "")
(define	%arg-rep-def-str% "")

;; Support for ARG provided by James Bostock
;;
(element ARG
  (let ((choice (attribute-string "Choice" (current-node)))
	(rep (attribute-string "Rep" (current-node))))
    (make sequence
      (if (first-sibling? (current-node))
	  (literal " ")
	  (empty-sosofo))
      (case choice
	(("PLAIN") (literal %arg-choice-plain-open-str%))
	(("REQ") (literal %arg-choice-req-open-str%))
	(("OPT") (literal %arg-choice-opt-open-str%))
	(else (literal %arg-choice-def-open-str%)))
      (process-children)
      (case rep
	(("REPEAT") (literal %arg-rep-repeat-str%))
	(("NOREPEAT") (literal %arg-rep-norepeat-str%))
	(else (literal %arg-rep-def-str%)))
      (case choice
	(("PLAIN") (literal %arg-choice-plain-close-str%))
	(("REQ") (literal %arg-choice-req-close-str%))
	(("OPT") (literal %arg-choice-opt-close-str%))
	(else (literal %arg-choice-def-close-str%))))))

(element GROUP ($paragraph$))
(element SBR ($paragraph$))
(element SYNOPFRAGMENTREF ($paragraph$))
(element SYNOPFRAGMENT (process-children))
(element FUNCSYNOPSIS ($verbatim-display$)) ;; this is not really very good
(element FUNCSYNOPSISINFO (process-children))
(element FUNCPROTOTYPE (process-children))
(element FUNCDEF ($paragraph$))
(element VOID ($paragraph$))
(element VARARGS (process-children))
(element PARAMDEF (process-children))
(element FUNCPARAMS (process-children))

