;; $Id: dbgraph.dsl 0.87 1997/07/14 03:57:05 nwalsh Exp $

;; ==================== GRAPHICS ====================

(element GRAPHIC
  (let ((fileref (string-append (attribute-string "fileref")
				".epsi"))
	(entityref (attribute-string "entityref"))
	(format (attribute-string "format"))
	(align (attribute-string "align")))
  (make paragraph
    space-before: %block-sep%
    space-after: %block-sep%
    (make external-graphic
      notation-system-id: (if format format "")
      entity-system-id: (if fileref 
			    fileref
			    (if entityref 
				(entity-generated-system-id entityref)
				""))
      display?: #t
      display-alignment: (cond ((equal? align "CENTER") 'center)
			       ((equal? align "RIGHT") 'end)
			       (else 'start))))))

(element INLINEGRAPHIC
  (let ((fileref (string-append (attribute-string "fileref")
				".epsi"))
	(entityref (attribute-string "entityref"))
	(format (attribute-string "format"))
	(align (attribute-string "align")))
    (make external-graphic
      notation-system-id: (if format format "")
      entity-system-id: (if fileref 
			    fileref
			    (if entityref 
				(entity-generated-system-id entityref)
				""))
      display?: #t)))
